package cz.vsb.krouzek;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Random;

public class SibeniceZaklad {

	private static List<String> slova = Arrays.asList("příroda", "telefon", "zahrada", "kytara", "knihovna", "banán",
			"vlak", "internet", "obrazovka", "létání", "paprika", "jablko", "turistika", "boty", "slunce", "oheň",
			"dálnice", "hokej", "kartáček", "jogurt");

	private static Random random = new Random();

	public static String vyberNahodneSlovo() {
		int nahodneCislo = random.nextInt(slova.size());
		return slova.get(nahodneCislo);
	}

	public static HashMap<Character, List<Character>> abeceda = new HashMap<>();

	static {
		// Vytvoření mapování písmen
		abeceda.put('A', Arrays.asList('A', 'Á'));
		abeceda.put('B', Arrays.asList('B'));
		abeceda.put('C', Arrays.asList('C', 'Č'));
		abeceda.put('D', Arrays.asList('D', 'Ď'));
		abeceda.put('E', Arrays.asList('E', 'É', 'Ě'));
		abeceda.put('F', Arrays.asList('F'));
		abeceda.put('G', Arrays.asList('G', 'G'));
		abeceda.put('H', Arrays.asList('H'));
		abeceda.put('I', Arrays.asList('I', 'Í'));
		abeceda.put('J', Arrays.asList('J'));
		abeceda.put('K', Arrays.asList('K'));
		abeceda.put('L', Arrays.asList('L', 'Ľ'));
		abeceda.put('M', Arrays.asList('M'));
		abeceda.put('N', Arrays.asList('N', 'Ň'));
		abeceda.put('O', Arrays.asList('O', 'Ó'));
		abeceda.put('P', Arrays.asList('P'));
		abeceda.put('Q', Arrays.asList('Q'));
		abeceda.put('R', Arrays.asList('R', 'Ř'));
		abeceda.put('S', Arrays.asList('S', 'Š'));
		abeceda.put('T', Arrays.asList('T', 'Ť'));
		abeceda.put('U', Arrays.asList('U', 'Ú', 'Ů'));
		abeceda.put('V', Arrays.asList('V'));
		abeceda.put('W', Arrays.asList('W'));
		abeceda.put('X', Arrays.asList('X'));
		abeceda.put('Y', Arrays.asList('Y', 'Ý'));
		abeceda.put('Z', Arrays.asList('Z', 'Ž'));
	}

}
